# PetscFListFind

Given a name, finds the matching routine.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscFListFind(PetscFList fl,MPI_Comm comm,const char name[],void (**r)(void))

### Input Parameters

| fl | - pointer to list
| comm | - processors looking for routine
| name | - name string

### Output Parameters

r -the routine

### See Also

PetscFListAddDynamic(), PetscFList

Level:developer
Location: src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages